Freeciv-3.2: CONNLIST Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
CONNLIST Struct Reference

## Data Fields

struct advanced_dialog * | users_dlg
struct advanced_dialog * | chat_dlg
struct widget * | begin_widget_list
struct widget * | end_widget_list
struct widget * | start_button
struct widget * | select_nation_button
struct widget * | load_game_button
struct widget * | configure
struct widget * | back_button
struct widget * | pedit
int | text_width
int | active

## Detailed Description

Definition at line 62 of file chatline.c.

## Field Documentation

## ◆ active

int CONNLIST::active

Definition at line 74 of file chatline.c.

Referenced by popup_conn_list_dialog(), and real_conn_list_dialog_update().

## ◆ back_button

struct widget * CONNLIST::back_button

Definition at line 71 of file chatline.c.

Referenced by popdown_load_game_dialog(), popup_conn_list_dialog(), and popup_load_game_dialog().

## ◆ begin_widget_list

struct widget * CONNLIST::begin_widget_list

Definition at line 65 of file chatline.c.

Referenced by popdown_conn_list_dialog(), popup_conn_list_dialog(), and real_conn_list_dialog_update().

## ◆ chat_dlg

struct advanced_dialog * CONNLIST::chat_dlg

Definition at line 64 of file chatline.c.

Referenced by add_to_chat_list(), popdown_conn_list_dialog(), and popup_conn_list_dialog().

## ◆ configure

struct widget * CONNLIST::configure

Definition at line 70 of file chatline.c.

Referenced by popup_conn_list_dialog(), and real_conn_list_dialog_update().

## ◆ end_widget_list

struct widget * CONNLIST::end_widget_list

Definition at line 66 of file chatline.c.

Referenced by add_to_chat_list(), popdown_conn_list_dialog(), popup_conn_list_dialog(), and real_conn_list_dialog_update().

## ◆ load_game_button

struct widget * CONNLIST::load_game_button

Definition at line 69 of file chatline.c.

Referenced by popdown_load_game_dialog(), popup_conn_list_dialog(), and popup_load_game_dialog().

## ◆ pedit

struct widget * CONNLIST::pedit

Definition at line 72 of file chatline.c.

Referenced by popdown_conn_list_dialog(), and popup_conn_list_dialog().

## ◆ select_nation_button

struct widget * CONNLIST::select_nation_button

Definition at line 68 of file chatline.c.

Referenced by popup_conn_list_dialog(), and popup_load_game_dialog().

## ◆ start_button

struct widget * CONNLIST::start_button

Definition at line 67 of file chatline.c.

Referenced by popdown_load_game_dialog(), popup_conn_list_dialog(), and popup_load_game_dialog().

## ◆ text_width

int CONNLIST::text_width

Definition at line 73 of file chatline.c.

Referenced by add_to_chat_list(), and popup_conn_list_dialog().

## ◆ users_dlg

struct advanced_dialog * CONNLIST::users_dlg

Definition at line 63 of file chatline.c.

Referenced by popdown_conn_list_dialog(), and real_conn_list_dialog_update().